const baseUrl = ''

export const getMapSearch = () => {
    return `http://api.tianditu.gov.cn/v2/search`
}

export const getLocationByReverseGeography = () => {
    return `http://api.tianditu.gov.cn/geocoder`
}

export const getAdministrative =() => {
    return `http://api.tianditu.gov.cn/v2/administrative`
}

export const getProductCategory = () => {
    return `${baseUrl}/api/mall/category/list`
}

export const getMallRecommend = () => {
    return `${baseUrl}/api/mall/recommend`
}

export const getUserAddressList = () => {
    return `${baseUrl}/api/user/address/list`
}

export const setUserDefaultAddress = () => {
    return `${baseUrl}/api/user/address/set-default`
}

export const getProductInfo = () => {
    return `${baseUrl}/api/product/detail`
}

export const getNotifyList = () => {
    return `${baseUrl}/api/notice/list`
}

export const getRestaurantFoodList = () => {
    return `${baseUrl}/api/product/simple-list`
}

export const getRestaurantFoodDetail = () => {
    return `${baseUrl}/api/meal/product/detail`
}

export const getRestaurantFoodSet = () => {
    return `${baseUrl}/api/product/setmeal-list`
}

export const getLessonCategory = () => {
    return `${baseUrl}/api/lesson/category`
}

export const getLessonList = () => {
    return `${baseUrl}/api/lesson/list`
}

export const getCourseDetail = () => {
    return `${baseUrl}/api/course/detail`
}

export const getLessonCatalog = () => {
    return `${baseUrl}/api/lesson/catalog`
}

export const getNursingHomeList = () => {
    return `${baseUrl}/api/nursing-home/list`
}
export const getNursingDetail = () => {
    return `${baseUrl}/api/nursing/detail`
}

export const getTravelList = () => {
    return `${baseUrl}/api/travel/list`
}

export const getHospitalCompanionList = () =>{
    return `${baseUrl}/api/nursing/hospital-companion/list`
}

export const getServiceDetail = () =>{
    return `${baseUrl}/api/service/detail`
}

export const getHousekeepingCleaningList = () =>{
    return `${baseUrl}/api/housekeeping/cleaning/list`
}

export const getHousekeepingCleaningDetail = () =>{
    return `${baseUrl}/api/housekeeping/cleaning/detail`
}